Package com.pixelmed.dicom

# Class PrivatePixelData

java.lang.Object
com.pixelmed.dicom.PrivatePixelData

public class PrivatePixelData extends Object

This class includes standard and private mechanisms for handling float or double Pixel Data.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`pixelmedPrivateCreatorForFloatOrDoublePixelData`
`static final AttributeTag`
`pixelmedPrivateDoublePixelData`
`static final AttributeTag`
`pixelmedPrivateFloatPixelData`
`static final int`
`pixelmedPrivatePixelDataGroup`

## Constructor Summary

Constructors
Constructor
Description
`PrivatePixelData()`

## Method Summary

Modifier and Type
Method
Description
`static Attribute`
`getPixelData(AttributeList list)`
Returns the Attribute that contains the Pixel Data.
`static void`
`replacePixelData(AttributeList list, Attribute aPixelData)`
Add or replace the Pixel Data.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pixelmedPrivateCreatorForFloatOrDoublePixelData

public static final String pixelmedPrivateCreatorForFloatOrDoublePixelData

See Also:
  - Constant Field Values

### pixelmedPrivatePixelDataGroup

public static final int pixelmedPrivatePixelDataGroup

See Also:
  - Constant Field Values

### pixelmedPrivateFloatPixelData

public static final AttributeTag pixelmedPrivateFloatPixelData

### pixelmedPrivateDoublePixelData

public static final AttributeTag pixelmedPrivateDoublePixelData

## Constructor Details

### PrivatePixelData

public PrivatePixelData()

## Method Details

### getPixelData

public static Attribute getPixelData(AttributeList list)

Returns the Attribute that contains the Pixel Data.

Handles standard and private float or double alternatives to the conventional (0x7FE0,0x0010).

Parameters:
  `list` - the AttributeList to search
Returns:
  the Attribute or null if not found

### replacePixelData

public static void replacePixelData(AttributeList list, Attribute aPixelData) throws DicomException

Add or replace the Pixel Data.

Removes any existing (private) group containing pixel data, including the private creator .

Handles (various private) float or double alternatives to the conventional (0x7FE0,0x0010).

Parameters:
  `list` - the AttributeList to search
Throws:
  `DicomException` - if an error occurs